Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 917 - Include files not ANSI C++ conforming
Summary: Include files not ANSI C++ conforming
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 5.1
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-22 08:12 UTC by klaus.kaempf
Modified: 2016-11-24 15:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-02-10 20:25:33 UTC


Attachments (Terms of Use)

Description klaus.kaempf 1999-01-22 08:12:43 UTC
In /usr/include/netinet/in.h the structure ip_opts has a
data member also named ip_opts. According to the ANSI C++
Standard (and from discussion on egcs@cygnus.com) this is
not allowed. When including this file in a C++ program,
egcs flags this as an error.
Since I don't know who's responsible for the include files
in RedHat 5.1 (the glibc maintainer ?), please forward this
report.

Comment 1 David Lawrence 1999-01-22 21:38:59 UTC
I have verified this to be true in 5.1 and also in 5.2. It is being
assigned to a developer for further review.

Comment 2 Cristian Gafton 1999-02-10 20:25:59 UTC
This problem is fixed by the glibc 2.1 header files


Note You need to log in before you can comment on or make changes to this bug.